QGIS Application - Feature request #9281
[composer] add option to disable antialiasing when exporting compositions
2014-01-01 01:56 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 17893
Description

To be more precise, it seems that when printing the option is set always as active, no matter if printing as raster or not.

Associated revisions

Revision 2f0969e2 - 2017-12-17 05:14 AM - Nyall Dawson
Expose antialiasing option in image export dialog

Allows for creating non-antialiased images from layouts. Note that
some layout item types do not correctly respect this setting, but

at least map items do and the APl is in place for them to be

fixed later.

Fixes #9281

History

#1 - 2014-01-05 09:17 AM - Jiirgen Fischer

- Subject changed from The option "make lines apperar less jagged at the expense of some drawing performance" does not seems to be applied in the
print composer to The option "make lines appear less jagged at the expense of some drawing performance" does not seems to be applied in the print
composer

#2 - 2014-02-07 01:30 PM - Nyall Dawson

- Status changed from Open to Feedback

I don't think this is a bug - to me it's a feature. Why would you want to disable anti-aliasing when exporting a composition?

#3 - 2014-02-09 04:31 AM - aperi2007 -

The antialiasing if no good for the black-white TIFF4 images.

In the tiff4 the main goal is have always only two color black/white.

The antialiasing work substituting some white pixel with a grey light color.

This break the possibility to have a tiff4 image.

As a use case:
the composer will allow the opportunity to export a map as a tiff georef.

But if the goal is to export a tiff4 black/white image.
The acutal setting of composer to deny the correct black/white will deny to have a set of tiff4 images georef as exportation from qgis.

#4 - 2014-02-09 04:44 AM - aperi2007 -

So it is definitively a bug because It donnot reproduce exactly what there is in the canvas.

The goal of composer is produce a print of what there is on canvas .

A composer that da another think differente from canvas is not a print in qgis, but a different program.

In the canvas there is a black/white image because | can put the white transparent and having a result when export.
In composer when export | have a raster not black/white.

So | guess itis a bug.

#5 - 2014-02-09 12:45 PM - Nyall Dawson

- Category changed from 33 to Map Composer/Printing

- Tracker changed from Bug report to Feature request

- Subject changed from The option "make lines appear less jagged at the expense of some drawing performance” does not seems to be applied in the

print composer to [composer] add option to disable antialiasing when exporting compositions

OK, that's a good point. However | don't think the existing option for antialiasing in settings is the correct solution. For one, this option is worded in a way
that makes it sound like its purely for performance. I'd imagine the given how its worded the current use case is that people are disabling antialiasing in
settings to speed up working with the canvas , not to change how maps are exported.

Secondly, this current setting has no effect on other composer controls such as labels, etc.

| think your use case could be better addressed by an option in the composition settings for disabling antialiasing for the whole composition. This option
would be per composition, not a global setting.

#6 - 2014-02-09 11:45 PM - Paolo Cavallini
- Priority changed from Normal to High
- Target version changed from Future Release - High Priority to Version 2.2

Sounds reasonable. Nevertheless, | think this option should be added, as without it the user case described is seriously hindered. As it solves a real user

issue, quite important in massive production, and it should not impact other code, | would ask to reconsider adding it to the upcoming version.

#7 - 2014-06-20 05:48 AM - Giovanni Manghi
- Target version changed from Version 2.2 to Version 2.4
- Status changed from Feedback to Open

#8 - 2014-06-28 07:45 AM - Jiirgen Fischer
- Target version changed from Version 2.4 to Future Release - High Priority

#9 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#10 - 2017-12-17 10:28 PM - Nyall Dawson

- Status changed from Open to Closed
- % Done changed from 0 to 100
Applied in changeset commit:qgis|2f0969e2bd5b5e74e6¢c18412d27{86a8f7¢c1072a.

#11 - 2018-02-22 11:53 AM - Giovanni Manghi
- Resolution set to fixed/implemented

2025-04-26 3/3



